QGIS Application - Bug report #9142
"format_number" function error in label expression
2013-11-29 06:45 AM - Marcin Sotoguba

Status: Closed

Priority: Normal

Assignee:

Category: Labelling

Affected QGIS version:2.0.1 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 17777
Description

Function "format_number" in expression:
format_number(($area / 10000), 2) ||''|| "gat"

generates bad labels. | see that in label preview (in Expression window) area is generated first as "0,00", but after simple change of
expression is real value ex: "2,12". Finally in drawing there are only labels with zeroes (ex: 0,00 Db) or empty labels (in actual QGIS dev.)

History

#1 - 2013-12-04 11:20 AM - Richard Duivenvoorde
- File 05.png added

hi, can you maybe share some dataset for which this is happening?

can you maybe also try on another computer or OS?

Here it looks like current nightly is working fine (see screenshot)

#2 - 2014-01-30 11:34 PM - Paolo Cavallini

- Target version changed from Version 2.0.0 to Future Release - High Priority

#3 - 2014-06-19 11:48 PM - Richard Duivenvoorde

can someone confirm if this (still) is the case, as | could not confirm this?

otherwise this could be closed | think

#4 - 2014-06-20 02:34 AM - Giovanni Manghi

- Resolution set to fixed/implemented
- Status changed from Open to Closed

it seems fixed to me, please reopen if necessary.

#5 - 2014-09-09 11:50 AM - Diego Canales
- Status changed from Closed to Reopened
- File Screen_Shot _2014-09-09_at 2.46.34_PM.png added
It still is problematic to me. It runs fine in the field calculator, also when | save it, but when I hit the toggle editing mode all the numbers switch to zeros

(except for small numbers below 1,000). Can't figure out why is this.

Working on the Mac platform, version 2.4.0

#6 - 2014-09-10 12:03 AM - Richard Duivenvoorde

can you please provide some test data, and the steps we have to do to see this problem?

#7 - 2016-06-09 01:12 PM - Nyall Dawson
- Resolution changed from fixed/implemented to not reproducable
- Status changed from Reopened to Closed

Closing due to lack of feedback
